> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Table Rec Result Check

> Poll this endpoint to check status of Table Rec request and retrieve final results



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/table_rec/{request_id}
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/table_rec/{request_id}:
    get:
      summary: Table Rec Result Check
      description: >-
        Poll this endpoint to check status of Table Rec request and retrieve
        final results
      operationId: result_response_api_v1_table_rec__request_id__get
      parameters:
        - name: request_id
          in: path
          required: true
          schema:
            type: string
            title: Request Id
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TableRecFinalResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    TableRecFinalResponse:
      properties:
        status:
          type: string
          title: Status
          description: >-
            The status of the request. Should be 'complete' when the request is
            done.
        result_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Result Url
          description: >-
            Signed URL for downloading the completed result JSON when direct
            result download is required.
        expires_in:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expires In
          description: Number of seconds until result_url expires.
        output_format:
          type: string
          title: Output Format
          description: The format of the output.  'markdown' or 'json'.
        json:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Json
          description: The JSON representation of the PDF if the output format is 'json'.
        markdown:
          anyOf:
            - type: string
            - type: 'null'
          title: Markdown
          description: >-
            The markdown representation of the PDF if the output format is
            'markdown'.
        html:
          anyOf:
            - type: string
            - type: 'null'
          title: Html
          description: The HTML representation of the PDF if the output format is 'html'.
        images:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Images
          description: >-
            A dictionary of the images in the PDF, where the key is the filename
            for the image, and the value is the base64 encoded image.  Images
            should be stored in the same directory as the PDF.
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
          description: A dictionary of metadata about the PDF and the conversion process.
        success:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Success
          description: Whether the conversion was successful.
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: >-
            If the conversion was not successful, this will contain an error
            message.
        page_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Page Count
          description: The number of pages that were converted.
        total_cost:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Cost
          description: The total cost of the conversion.
          deprecated: true
        cost_breakdown:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Cost Breakdown
          description: >-
            A dictionary of the cost breakdown of this request. Includes the
            list cost without discounts and final cost to clients after any
            discounts (e.g. for opting into model training).
        versions:
          anyOf:
            - additionalProperties: true
              type: object
            - type: string
            - type: 'null'
          title: Versions
          description: A dictionary of the versions of the libraries used in the request.
      type: object
      required:
        - status
      title: TableRecFinalResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````